Get a destination

get

https://{FusionAppsHost}/crmRestApi/resources/11.13.18.05/PublishingAPI/publishDestination/{id}

Returns the destination that matches the specified ID, including its configured details.

Request

Path Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

The publish destination was returned successfully.
Body ()
Root Schema : PublishDestinationOracle
Type: object
Title: PublishDestinationOracle
The publish destination resource.
Show Source
Nested Schema : DestinationCharacteristicsOracle
Type: object
Title: DestinationCharacteristicsOracle
The destination characteristic resource.
Show Source
Nested Schema : publishExclusionRule
Type: array
A list of publish exclusion rules associated with the publish destination.
Show Source
Nested Schema : PublishExclusionRuleOracle
Type: object
Title: PublishExclusionRuleOracle
The publish exclusion rule resource.
Show Source

400 Response

Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

401 Response

Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

404 Response

The resource with the specified URI couldn't be found.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

405 Response

HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source

500 Response

The server encountered something unexpected that prevented it from completing the request.
Body ()
Root Schema : Error
Type: object
Title: Error
The error resource.
Show Source
Back to Top

Examples

The following example shows how to get a destination by submitting a get request on the REST resource using cURL.

cURL Command

curl -u username:password -X POST https://{FusionAppsHost}/crmRestApi/resources/11.13.18.05/PublishingAPI/publishDestination/{id} -H 'Content-Type: application/json' | json_pp

Example of Response Body

The following shows an example of the response body in JSON format.

{
    "name": "siebel-test",
    "type": "siebel",
    "lastUpdate": "2025-02-19T15:03:27.004Z",
    "lastUpdatedBy": "booth",
    "created": "2025-01-13T07:54:08.000Z",
    "createdBy": "booth",
    "id": 300100626551273,
    "mode": "Internal",
    "href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/PublishingAPI/publishDestination/300100626551273",
    "publishExclusionRule": [
        {
            "resourceType": "productOffering",
            "exclusionRule": "(VALUEOF(productType) IN_LIST (COMMERCIAL_BUNDLE,SERVICE_BUNDLE))"
        }
    ],
    "characteristics": {
        "order": 1
    }
}
Back to Top